function [Val, TC, NbLignes] = charge_tahar(nom_fich);

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	FUNCTION du programme plot_tac, charge les valeurs des 
%  paramtres vido issus des programmes de Tahar
%
%  Exemple :
%     [Val, TC, NbLignes] = charge_tahar('d:\tacle\Jl213943.lmt');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 5 mai 2000
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%														
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fin=fopen(nom_fich,'r');

if (fin == -1)
   errordlg('Pb a l''ouverture du fichier de parametres (.lmt) !!!!','Erreur','on');
   Val = 0; NbLignes = 0;
   return;
end

NbLignes = 0;

while 1
   NbLignes = NbLignes + 1;
   TC_tmp(:,NbLignes) = fscanf(fin, '%d', 1); % on recupere le time-code
   Trame_tmp(:,NbLignes) = fscanf(fin, '%c', 2); % on recupere la trame
   if (Trame_tmp(2,NbLignes) == 'A') % rcupre la trame 0 si A, 1 si B
      Trame = 0;
   else
      Trame = 1;
   end
   TC(NbLignes,:)= [TC_tmp(1,NbLignes) Trame];
   Val(:,NbLignes) = fscanf(fin, '%f', 12); % on recupere les valeurs
   saut = fscanf(fin, '%c', 2); % on saute les caracteres de fin de ligne
   
   % on teste si on est a la fin du fichier
   fscanf(fin, '%c', 1);
   if (feof(fin) == 1) % on sort
      break
   else      % sinon on recule d'un element
      fseek(fin,-1,0);
   end   
end

fclose(fin);

