function [Ext, Int, LvSup, LvInf, RefP, RefF] = lit_contour(nom_fich);

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Permet de lire les fichiers de contours (.tc) issus de Tacle
%
%  Exemple :
%     [Ext, Int, LvSup, LvInf, RefP, RefF] = lit_contour('d:\tacle\pbsb_apa_n_1_0034_A.tc');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%														
%	date : 29 mai 2000
%	auteur : Christophe Savariaux								
% 	ICP - Grenoble		
%														
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% on initialise
Ext=[]; Int=[]; LvSup=[]; LvInf=[]; RefP=[]; RefF=[];
Ext_x = []; Ext_y = []; Int_x = []; Int_y = []; LvSup_x=[]; LvSup_y=[];
LvInf_x=[]; LvInf_y=[]; RefP_x=[]; RefP_y=[]; RefF_x=[]; RefF_y=[];


fin=fopen(nom_fich,'r');

if (fin == -1)
   errordlg('Pb a l''ouverture du fichier de contours (.tc) !!!!','Erreur','on');
   return;
end

% On saute les 7 premieres lignes
for i=1:7
   fgetl(fin);
end


% On charge la ligne courante
lgn = fgetl(fin);

while (lgn ~= -1)
   
   switch(lgn)
      
   case('Externe')
      nb_lignes = fscanf(fin, '%i', 1);
      
      for i = 1:nb_lignes
         Ext_tmp = fscanf(fin, '%i', 2);
         Ext_x = [Ext_x, Ext_tmp(1)];
         Ext_y = [Ext_y, Ext_tmp(2)];
      end
      
      Ext = [Ext_x ; Ext_y];
      figure;
      plot(Ext(1,:),Ext(2,:),'r');
      axis ij;axis equal;
      axis([0 768 0 576])
      hold on
      lgn = fgetl(fin);
      lgn = fgetl(fin);
      
   case('Interne')
      nb_lignes = fscanf(fin, '%i', 1);
      
      for i = 1:nb_lignes
         Int_tmp = fscanf(fin, '%i', 2);
         Int_x = [Int_x, Int_tmp(1)];
         Int_y = [Int_y, Int_tmp(2)];
      end
      
      Int = [Int_x ; Int_y];
      plot(Int(1,:),Int(2,:),'r');
      lgn = fgetl(fin);
      lgn = fgetl(fin);
      
   case('LevSup')
      nb_lignes = fscanf(fin, '%i', 1);
      
      for i = 1:nb_lignes
         LvSup_tmp = fscanf(fin, '%i', 2);
         LvSup_x = [LvSup_x, LvSup_tmp(1)];
         LvSup_y = [LvSup_y, LvSup_tmp(2)];
      end
      
      LvSup = [LvSup_x ; LvSup_y];
      lgn = fgetl(fin);
      lgn = fgetl(fin);
      plot(LvSup(1,:),LvSup(2,:),'r');
      
   case('LevInf')
      nb_lignes = fscanf(fin, '%i', 1);
      
      for i = 1:nb_lignes
         LvInf_tmp = fscanf(fin, '%i', 2);
         LvInf_x = [LvInf_x, LvInf_tmp(1)];
         LvInf_y = [LvInf_y, LvInf_tmp(2)];
      end
      
      LvInf = [LvInf_x ; LvInf_y];
      lgn = fgetl(fin);
      lgn = fgetl(fin);
      plot(LvInf(1,:),LvInf(2,:),'r');
      
    case('RefProfil')
      nb_lignes = fscanf(fin, '%i', 1);
      
      for i = 1:nb_lignes
         RefP_tmp = fscanf(fin, '%i', 2);
         RefP_x = [RefP_x, RefP_tmp(1)];
         RefP_y = [RefP_y, RefP_tmp(2)];
      end
      
      RefP = [RefP_x ; RefP_y];
      lgn = fgetl(fin);
      lgn = fgetl(fin);
      plot(RefP(1,:),RefP(2,:),'g');
      
   case('RefFace')
      nb_lignes = fscanf(fin, '%i', 1);
      
      for i = 1:nb_lignes
         RefF_tmp = fscanf(fin, '%i', 2);
         RefF_x = [RefF_x, RefF_tmp(1)];
         RefF_y = [RefF_y, RefF_tmp(2)];
      end
      
      RefF = [RefF_x ; RefF_y];
      lgn = fgetl(fin);
      lgn = fgetl(fin);
      plot(RefF(1,:),RefF(2,:),'g');
      
     
  case('# ----------')
     lgn = fgetl(fin);
  end
   
end

fclose(fin);

%b=imread('d:\tacle\A_0000_B.bmp','bmp');
%image(b)
